---
lang: en
title: 'API docs: rest.trie.create'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.trie.create.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [Trie](./rest.trie.md) &gt; [create](./rest.trie.create.md)

## Trie.create() method

Create a node for a given path template

<b>Signature:</b>

```typescript
create(routeTemplate: string, value: T): Node<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  routeTemplate | <code>string</code> |  |
|  value | <code>T</code> | Value of the route |

<b>Returns:</b>

`Node<T>`


